<?php


namespace Steffospieler\DiscordWebhook;

/**
 * Class Author
 */
class Author {
    public string $name;
    public ?string $url;

    public function __construct($name, $url = null) {
        $this->name = $name;
        $this->url = $url;
    }

    public function to_array() : array {
        $array = [];

        if (isset($this->name)) {
            $array["name"] = $this->name;
        }
        if (isset($this->url)) {
            $array["url"] = $this->url;
        }

        return $array;
    }
}