<?php


namespace Steffospieler\DiscordWebhook;

/**
 * Class Field
 */
class Field {
    public string $name;
    public string $value;
    public bool $inline;

    public function __construct($name, $value, $inline = false) {
        $this->name = $name;
        $this->value = $value;
        $this->inline = $inline;
    }

    public function to_array() : array {
        $array = [];

        if (isset($this->name)) {
            $array["name"] = $this->name;
        }
        if (isset($this->value)) {
            $array["value"] = $this->value;
        }
        if (isset($this->inline)) {
            $array["inline"] = $this->inline;
        }

        return $array;
    }
}