<?php


namespace Steffospieler\DiscordWebhook;

/**
 * Class Footer
 */
class Footer {
    public string $text;
    public ?string $icon_url;

    public function __construct($text, $icon_url = null) {
        $this->text = $text;
        $this->icon_url = $icon_url;
    }

    public function to_array() : array {
        $array = [];

        if (isset($this->text)) {
            $array["text"] = $this->text;
        }
        if (isset($this->icon_url)) {
            $array["icon_url"] = $this->icon_url;
        }

        return $array;
    }
}